uryWigginsHochbergTest {PMCMRplus} | R Documentation

## Ury, Wiggins, Hochberg Test

### Description

Performs Ury-Wiggins and Hochberg's all-pairs comparison test for normally distributed data with unequal variances.

### Usage

    uryWigginsHochbergTest(x, ...)

    ## Default S3 method:
    uryWigginsHochbergTest(x, g, p.adjust.method = p.adjust.methods, ...)

    ## S3 method for class 'formula'
    uryWigginsHochbergTest(
      formula,
      data,
      subset,
      na.action,
      p.adjust.method = p.adjust.methods,
      ...
    )

    ## S3 method for class 'aov'
    uryWigginsHochbergTest(x, p.adjust.method = p.adjust.methods, ...)

### Arguments

`x` | a numeric vector of data values, a list of numeric data vectors or a fitted model object, usually an aov fit.
`...` | further arguments to be passed to or from methods.
`g` | a vector or factor object giving the group for the corresponding elements of `"x"`. Ignored with a warning if `"x"` is a list.
`p.adjust.method` | method for adjusting p values (see `p.adjust`).
`formula` | a formula of the form `response ~ group` where `response` gives the data values and `group` a vector or factor of the corresponding groups.
`data` | an optional matrix or data frame (or similar: see `model.frame`) containing the variables in the formula `formula`. By default the variables are taken from `environment(formula)`.
`subset` | an optional vector specifying a subset of observations to be used.
`na.action` | a function which indicates what should happen when the data contain `NA`s. Defaults to `getOption("na.action")`.

### Details

For all-pairs comparisons in an one-factorial layout with normally distributed residuals but unequal groups variances the tests of Ury-Wiggins and Hochberg can be performed. A total of m = k(k-1)/2 hypotheses can be tested. The null hypothesis H_{ij}: μ_i(x) = μ_j(x) is tested in the two-tailed test against the alternative A_{ij}: μ_i(x) \ne μ_j(x), ~~ i \ne j.

The p-values are computed from the t-distribution. The type of test depends on the selected p-value adjustment method (see also `p.adjust`):

bonferroni

  the Ury-Wiggins test is performed

hochberg

  the Hochberg test is performed

.

### Value

A list with class `"PMCMR"` containing the following components:

method

  a character string indicating what type of test was performed.

data.name

  a character string giving the name(s) of the data.

statistic

  lower-triangle matrix of the estimated quantiles of the pairwise test statistics.

p.value

  lower-triangle matrix of the p-values for the pairwise tests.

alternative

  a character string describing the alternative hypothesis.

p.adjust.method

  a character string describing the method for p-value adjustment.

model

  a data frame of the input data.

dist

  a string that denotes the test distribution.

### References

Hochberg, Y. (1976) A Modification of the T-Method of Multiple Comparisons for a One-Way Layout With Unequal Variances, Journal of the American Statistical Association 71, 200–203.

Ury, H. and Wiggins, A. D. (1971) Large Sample and Other Multiple Comparisons Among Means, British Journal of Mathematical and Statistical Psychology 24, 174–194.

### See Also

`dunnettT3Test`

### Examples

    fit <- aov(weight ~ feed, chickwts)
    shapiro.test(residuals(fit))
    bartlett.test(weight ~ feed, chickwts) # var1 = varN
    anova(fit)

    ## also works with fitted objects of class aov
    res <- uryWigginsHochbergTest(fit)
    summary(res)
    summaryGroup(res)

[Package PMCMRplus version 1.6.1 Index]